I2O_EXEC_REPLY(9)

NAME
i2o_exec_reply - I2O Executive reply handler

SYNOPSIS

int i2o_exec_reply(struct i2o_controller * c, u32 m, struct i2o_message * msg);

ARGUMENTS

c
    I2O controller from which the reply comes

m
    message id

msg
    pointer to the I2O reply message

DESCRIPTION

This function is always called from interrupt context. If a POST WAIT reply was received, pass it to the complete function. If a LCT NOTIFY reply was received, a new event is created to handle the update.

Returns 0 on success and if the reply should not be flushed or > 0 on success and if the reply should be flushed. Returns negative error code on failure and if the reply should be flushed.

COPYRIGHT